import { get, put, post, deletes } from '@/http/index'

// 查询故障操作人员列表
export const getFaultPersonnel = async (data) => {
  return await get('/als/faultPersonnel/list', data)
}

// 新增故障操作人员
export const addFaultPersonnel = async (data) => {
  return await post('/als/faultPersonnel', data)
}

// 修改故障操作人员
export const updateFaultPersonnel = async (data) => {
  return await put('/als/faultPersonnel', data)
}

// 删除故障操作人员
export const removeFaultPersonnel = async (id) => {
  return await deletes('/als/faultPersonnel/' + id)
}

//  获取机种和机型树
export const getAircaftTypeAndModelTree = async (data) => {
  return await get('/basicdata/aircaftCatalog/getAircaftTypeAndModelTree', data)
}
